Lorene::Param_elliptic Class Reference
General PDE solvers (<em><strong>under development</strong></em>)

This class contains the parameters needed to call the general elliptic solver. More...

`#include <param_elliptic.h>`

## Public Member Functions

| Param_elliptic (const Scalar &)
| Standard constructor from a `Scalar`.
| ~Param_elliptic ()
| Destructor.
const Map_radial & | get_mp () const
| Returns the mapping.
double | get_alpha (int) const
double | get_beta (int) const
int | get_type (int) const
void | set_helmholtz_minus (int zone, double mas, Scalar &so)
| Set the operator to in one domain (not in the nucleus).
void | set_poisson_pseudo_1d (Scalar &so)
| Set the operator to everywhere but in the compactified domain.
void | set_helmholtz_minus_pseudo_1d (int zone, double mas, Scalar &so)
| Set the operator to in one domain.
void | set_helmholtz_plus (int zone, double mas, Scalar &so)
| Set the operator to in one domain (only in the shells).
void | set_poisson_2d (const Scalar &, bool indic=false)
| Set everything to do a 2d-Poisson, with or without l=0 (not put by default...).
void | set_helmholtz_minus_2d (int zone, double mas, const Scalar &)
| Set the 2D Helmholtz operator (with minus sign).
void | set_sec_order_r2 (int zone, double a, double b, double c)
| Set the operator to in one domain (only in the shells).
void | set_sec_order (int zone, double a, double b, double c)
| Set the operator to in one domain (only in the shells).
void | set_ope_vorton (int zone, Scalar &so)
| Set the operator to in one domain (not implemented in the nucleus).
void | set_poisson_vect_r (int zone, bool only_l_zero=false)
| Sets the operator to in all domains, for ; and to in all domains otherwise.
void | set_poisson_vect_eta (int zone)
| Sets the operator to be a regular elliptic operator to solve for the component of the vector Poisson equation.
void | set_poisson_tens_rr (int zone)
| Sets the operator to in all domains, for only.
void | inc_l_quant (int zone)
| Increases the quantum number l in the domain `zone` .
void | set_variable_F (const Scalar &)
| Changes the variable function F.
void | set_variable_G (const Scalar &)
| Changes the variable function G.
double | F_plus (int zone, int k, int j) const
| Returns the value of F, for a given angular point, at the outer boundary of the domain `zone` ;.
double | F_minus (int zone, int k, int j) const
| Returns the value of F, for a given angular point, at the inner boundary of the domain `zone` ;.
double | dF_plus (int zone, int k, int j) const
| Returns the value of the radial derivative of F, for a given angular point, at the outer boundary of the domain `zone` ;.
double | dF_minus (int zone, int k, int j) const
| Returns the value of the radial derivative of F, for a given angular point, at the inner boundary of the domain `zone` ;.
double | G_plus (int zone) const
| Returns the value of G, for a given angular point, at the outer boundary of the domain `zone` ;.
double | G_minus (int zone) const
| Returns the value of G, for a given angular point, at the inner boundary of the domain `zone` ;.
double | dG_plus (int zone) const
| Returns the value of the radial derivative of G, for a given angular point, at the outer boundary of the domain `zone` ;.
double | dG_minus (int zone) const
| Returns the value of the radial derivative of G, for a given angular point, at the inner boundary of the domain `zone` ;.

## Protected Attributes

int | type_map
| Type of mapping either MAP_AFF or MAP_LOG.
const Map_af * | mp_af
| The mapping, if affine.
const Map_log * | mp_log
| The mapping if log type.
Ope_elementary ** | operateurs
| Array on the elementary operators.
Scalar | var_F
| Additive variable change function.
Scalar | var_G
| Multiplicative variable change that must be sphericaly symetric !
Itbl | done_F
| Stores what has been computed for `F`.
Itbl | done_G
| Stores what has been computed for `G`.
Tbl | val_F_plus
| Values of F at the outer boundaries of the various domains.
Tbl | val_F_minus
| Values of F at the inner boundaries of the various domains.
Tbl | val_dF_plus
| Values of the derivative of F at the outer boundaries of the various domains.
Tbl | val_dF_minus
| Values of the derivative of F at the inner boundaries of the various domains.
Tbl | val_G_plus
| Values of G at the outer boundaries of the various domains.
Tbl | val_G_minus
| Values of G at the inner boundaries of the various domains.
Tbl | val_dG_plus
| Values of the derivative of G at the outer boundaries of the various domains.
Tbl | val_dG_minus
| Values of the derivative of G at the inner boundaries of the various domains.

## Private Member Functions

void | compute_val_F (int, int, int) const
| Computes the various values of `F`.
void | compute_val_G (int) const
| Computes the various values of `G`.

## Friends

Mtbl_cf | elliptic_solver (const Param_elliptic &ope_var, const Mtbl_cf &source)
Mtbl_cf | elliptic_solver_boundary (const Param_elliptic &ope_var, const Mtbl_cf &source, const Mtbl_cf &bound, double fact_dir, double fact_neu)
Mtbl_cf | elliptic_solver_no_zec (const Param_elliptic &ope_var, const Mtbl_cf &source, double val)
Mtbl_cf | elliptic_solver_only_zec (const Param_elliptic &ope_var, const Mtbl_cf &source, double val)
Mtbl_cf | elliptic_solver_sin_zec (const Param_elliptic &ope_var, const Mtbl_cf &source, double *amplis, double *phases)
Mtbl_cf | elliptic_solver_fixe_der_zero (double valeur, const Param_elliptic &ope_var, const Mtbl_cf &source)
void | Map_af::sol_elliptic (Param_elliptic &, const Scalar &, Scalar &) const
void | Map_af::sol_elliptic_boundary (Param_elliptic &, const Scalar &, Scalar &, const Mtbl_cf &, double, double) const
void | Map_af::sol_elliptic_boundary (Param_elliptic &, const Scalar &, Scalar &, const Scalar &, double, double) const
void | Map_af::sol_elliptic_no_zec (Param_elliptic &, const Scalar &, Scalar &, double) const
void | Map_af::sol_elliptic_only_zec (Param_elliptic &, const Scalar &, Scalar &, double) const
void | Map_af::sol_elliptic_sin_zec (Param_elliptic &, const Scalar &, Scalar &, double *, double *) const
void | Map_af::sol_elliptic_fixe_der_zero (double, Param_elliptic &, const Scalar &, Scalar &) const
void | Map_af::sol_elliptic_2d (Param_elliptic &, const Scalar &, Scalar &) const
void | Map_af::sol_elliptic_pseudo_1d (Param_elliptic &, const Scalar &, Scalar &) const
void | Map_log::sol_elliptic (Param_elliptic &, const Scalar &, Scalar &) const
void | Map_log::sol_elliptic_boundary (Param_elliptic &, const Scalar &, Scalar &, const Mtbl_cf &, double, double) const
void | Map_log::sol_elliptic_boundary (Param_elliptic &, const Scalar &, Scalar &, const Scalar &, double, double) const
void | Map_log::sol_elliptic_no_zec (Param_elliptic &, const Scalar &, Scalar &, double) const

## Detailed Description

This class contains the parameters needed to call the general elliptic solver.

For every domain and every spherical harmonics, it contains the appropriate operator of type `Ope_elementary` and the appropriate variable given by a `Change_var` .()

This class is only defined on an affine mapping `Map_af` or a logarithmic one `Map_log`

Definition at line 135 of file param_elliptic.h.

## Constructor & Destructor Documentation

## Param_elliptic()

Lorene::Param_elliptic::Param_elliptic | ( | const Scalar & | so | ) |

Standard constructor from a `Scalar`.

Parameters

  so | [parameter] type of the source of the elliptic equation. The actual values are not used but `*this` will be constructed using the same number of points, domains and symetry than `so` .

This constructor initializes everything to solve a Poisson equation with non variable changes from domains to another.

Definition at line 183 of file param_elliptic.C.

References Lorene::Valeur::base, Lorene::Valeur::coef(), done_F, done_G, Lorene::Scalar::dz_nonzero(), Lorene::Valeur::get_base(), Lorene::Scalar::get_dzpuis(), Lorene::get_mg(), get_mp(), Lorene::Tensor::get_mp(), Lorene::Scalar::get_spectral_va(), Lorene::Base_val::give_quant_numbers(), mp_af, mp_log, operateurs, Lorene::Scalar::set_spectral_va(), type_map, val_dF_minus, val_dF_plus, val_dG_minus, val_dG_plus, val_F_minus, val_F_plus, val_G_minus, val_G_plus, var_F, var_G, and Lorene::Valeur::ylm().

## ~Param_elliptic()

Lorene::Param_elliptic::~Param_elliptic | ( |  | ) |

Destructor.

Definition at line 310 of file param_elliptic.C.

References Lorene::get_mg(), get_mp(), and operateurs.

## Member Function Documentation

## compute_val_F()

void Lorene::Param_elliptic::compute_val_F | ( | int | zone,
|  | int | k,
|  | int | j ) const

private

Computes the various values of `F`.

Definition at line 121 of file param_elliptic_val_lim.C.

References Lorene::Tbl::annule_hard(), done_F, get_mp(), Lorene::Tbl::set(), Lorene::Tbl::set_etat_qcq(), val_dF_minus, val_dF_plus, val_F_minus, val_F_plus, and var_F.

## compute_val_G()

void Lorene::Param_elliptic::compute_val_G | ( | int | zone | ) | const

private

Computes the various values of `G`.

Definition at line 160 of file param_elliptic_val_lim.C.

References Lorene::Tbl::annule_hard(), done_G, get_mp(), Lorene::Tbl::set(), Lorene::Tbl::set_etat_qcq(), val_dG_minus, val_dG_plus, val_G_minus, val_G_plus, and var_G.

## dF_minus()

double Lorene::Param_elliptic::dF_minus | ( | int | zone,
|  | int | k,
|  | int | j ) const

Returns the value of the radial derivative of F, for a given angular point, at the inner boundary of the domain `zone` ;.

Definition at line 79 of file param_elliptic_val_lim.C.

References compute_val_F(), done_F, and val_dF_minus.

## dF_plus()

double Lorene::Param_elliptic::dF_plus | ( | int | zone,
|  | int | k,
|  | int | j ) const

Returns the value of the radial derivative of F, for a given angular point, at the outer boundary of the domain `zone` ;.

Definition at line 71 of file param_elliptic_val_lim.C.

References compute_val_F(), done_F, and val_dF_plus.

## dG_minus()

double Lorene::Param_elliptic::dG_minus | ( | int | zone | ) | const

Returns the value of the radial derivative of G, for a given angular point, at the inner boundary of the domain `zone` ;.

Definition at line 112 of file param_elliptic_val_lim.C.

References compute_val_G(), done_G, and val_dG_minus.

## dG_plus()

double Lorene::Param_elliptic::dG_plus | ( | int | zone | ) | const

Returns the value of the radial derivative of G, for a given angular point, at the outer boundary of the domain `zone` ;.

Definition at line 104 of file param_elliptic_val_lim.C.

References compute_val_G(), done_G, and val_dG_plus.

## F_minus()

double Lorene::Param_elliptic::F_minus | ( | int | zone,
|  | int | k,
|  | int | j ) const

Returns the value of F, for a given angular point, at the inner boundary of the domain `zone` ;.

Definition at line 63 of file param_elliptic_val_lim.C.

References compute_val_F(), done_F, and val_F_minus.

## F_plus()

double Lorene::Param_elliptic::F_plus | ( | int | zone,
|  | int | k,
|  | int | j ) const

Returns the value of F, for a given angular point, at the outer boundary of the domain `zone` ;.

Definition at line 55 of file param_elliptic_val_lim.C.

References compute_val_F(), done_F, and val_F_plus.

## G_minus()

double Lorene::Param_elliptic::G_minus | ( | int | zone | ) | const

Returns the value of G, for a given angular point, at the inner boundary of the domain `zone` ;.

Definition at line 96 of file param_elliptic_val_lim.C.

References compute_val_G(), done_G, and val_G_minus.

## G_plus()

double Lorene::Param_elliptic::G_plus | ( | int | zone | ) | const

Returns the value of G, for a given angular point, at the outer boundary of the domain `zone` ;.

Definition at line 88 of file param_elliptic_val_lim.C.

References compute_val_G(), done_G, and val_G_plus.

## get_alpha()

double Lorene::Param_elliptic::get_alpha | ( | int | l | ) | const

Definition at line 134 of file param_elliptic.C.

## get_beta()

double Lorene::Param_elliptic::get_beta | ( | int | l | ) | const

Definition at line 150 of file param_elliptic.C.

## get_mp()

const Map_radial & Lorene::Param_elliptic::get_mp | ( |  | ) | const

Returns the mapping.

Definition at line 118 of file param_elliptic.C.

References mp_af, mp_log, and type_map.

## get_type()

int Lorene::Param_elliptic::get_type | ( | int | l | ) | const

Definition at line 166 of file param_elliptic.C.

## inc_l_quant()

void Lorene::Param_elliptic::inc_l_quant | ( | int | zone | ) |

Increases the quantum number l in the domain `zone` .

Definition at line 323 of file param_elliptic.C.

References get_mp(), and operateurs.

## set_helmholtz_minus()

void Lorene::Param_elliptic::set_helmholtz_minus | ( | int | zone,
|  | double | mas,
|  | Scalar & | so )

Set the operator to in one domain (not in the nucleus).

Parameters

  zone | [input] : the domain.
  mas | [input] : the masse .
  so | [input] : the source (used only to get the right basis).

Definition at line 343 of file param_elliptic.C.

References Lorene::Valeur::base, Lorene::Valeur::coef(), get_mp(), Lorene::Scalar::get_spectral_va(), Lorene::Base_val::give_quant_numbers(), mp_log, operateurs, Lorene::Scalar::set_spectral_va(), type_map, and Lorene::Valeur::ylm().

## set_helmholtz_minus_2d()

void Lorene::Param_elliptic::set_helmholtz_minus_2d | ( | int | zone,
|  | double | mas,
|  | const Scalar & | source )

Set the 2D Helmholtz operator (with minus sign).

Parameters

  zone | [input] : the domain.
  mas | [input] : the masse parameter.

Definition at line 100 of file param_elliptic_2d.C.

References Lorene::Valeur::base, Lorene::Scalar::check_dzpuis(), Lorene::Scalar::get_dzpuis(), get_mp(), Lorene::Scalar::get_spectral_va(), Lorene::Base_val::give_quant_numbers(), operateurs, and type_map.

## set_helmholtz_minus_pseudo_1d()

void Lorene::Param_elliptic::set_helmholtz_minus_pseudo_1d | ( | int | zone,
|  | double | mas,
|  | Scalar & | so )

Set the operator to in one domain.

Parameters

  zone | [input] : the domain.
  mas | [input] : the masse .
  so | [input] : the source (used only to get the right basis).

Definition at line 95 of file param_elliptic_pseudo_1d.C.

References Lorene::Valeur::base, Lorene::Scalar::check_dzpuis(), Lorene::Scalar::get_dzpuis(), get_mp(), Lorene::Scalar::get_spectral_va(), Lorene::Base_val::give_quant_numbers(), operateurs, and type_map.

## set_helmholtz_plus()

void Lorene::Param_elliptic::set_helmholtz_plus | ( | int | zone,
|  | double | mas,
|  | Scalar & | so )

Set the operator to in one domain (only in the shells).

Parameters

  zone | [input] : the domain.
  mas | [input] : the masse .
  so | [input] : the source (used only to get the right basis).

Definition at line 411 of file param_elliptic.C.

References Lorene::Valeur::base, Lorene::Valeur::coef(), get_mp(), Lorene::Scalar::get_spectral_va(), Lorene::Base_val::give_quant_numbers(), mp_log, operateurs, R_CHEBI, Lorene::Scalar::set_spectral_va(), type_map, and Lorene::Valeur::ylm().

## set_ope_vorton()

void Lorene::Param_elliptic::set_ope_vorton | ( | int | zone,
|  | Scalar & | so )

Set the operator to in one domain (not implemented in the nucleus).

Parameters

  zone | [input] : the domain.
  so | [input] : the source (used only to get the right basis).

Definition at line 705 of file param_elliptic.C.

References Lorene::Valeur::base, Lorene::Valeur::coef(), Lorene::Scalar::get_dzpuis(), get_mp(), Lorene::Scalar::get_spectral_va(), Lorene::Base_val::give_quant_numbers(), mp_log, operateurs, Lorene::Scalar::set_spectral_va(), type_map, and Lorene::Valeur::ylm().

## set_poisson_2d()

void Lorene::Param_elliptic::set_poisson_2d | ( | const Scalar & | source,
|  | bool | indic = false )

Set everything to do a 2d-Poisson, with or without l=0 (not put by default...).

Definition at line 59 of file param_elliptic_2d.C.

References Lorene::Valeur::base, Lorene::Scalar::get_dzpuis(), get_mp(), Lorene::Scalar::get_spectral_va(), Lorene::Base_val::give_quant_numbers(), operateurs, and type_map.

## set_poisson_pseudo_1d()

void Lorene::Param_elliptic::set_poisson_pseudo_1d | ( | Scalar & | so | ) |

Set the operator to everywhere but in the compactified domain.

Parameters

  so | [input] : the source (used only to get the right basis).

Definition at line 59 of file param_elliptic_pseudo_1d.C.

References Lorene::Valeur::base, get_mp(), Lorene::Scalar::get_spectral_va(), Lorene::Base_val::give_quant_numbers(), operateurs, and type_map.

## set_poisson_tens_rr()

void Lorene::Param_elliptic::set_poisson_tens_rr | ( | int | zone | ) |

Sets the operator to in all domains, for only.

Parameters

  zone | [input] : the domain.

Definition at line 560 of file param_elliptic.C.

References Lorene::Ope_poisson::get_dzpuis(), Lorene::Ope_poisson::get_lquant(), get_mp(), operateurs, and type_map.

## set_poisson_vect_eta()

void Lorene::Param_elliptic::set_poisson_vect_eta | ( | int | zone | ) |

Sets the operator to be a regular elliptic operator to solve for the component of the vector Poisson equation.

The operator is (Poisson with the decrease of l by one unit) in all domains but the CED, for ; it is not defined for l = 0. In the CED, the operator is also the Laplace one, but with l increased by one unit: . This is intended to solve the equation for arising in the decomposition of the vector Poisson equation.

Parameters

  zone | [input] : the domain.

Definition at line 533 of file param_elliptic.C.

References Lorene::Ope_poisson::dec_l_quant(), Lorene::Ope_poisson::get_lquant(), get_mp(), Lorene::Ope_poisson::inc_l_quant(), and operateurs.

## set_poisson_vect_r()

void Lorene::Param_elliptic::set_poisson_vect_r | ( | int | zone,
|  | bool | only_l_zero = false )

Sets the operator to in all domains, for ; and to in all domains otherwise.

Parameters

  zone | [input] : the domain.
  only_l_zero | [input] : the operator in built only for l=0

Definition at line 487 of file param_elliptic.C.

References Lorene::Ope_poisson::get_dzpuis(), Lorene::Ope_poisson::get_lquant(), get_mp(), operateurs, and type_map.

## set_sec_order()

void Lorene::Param_elliptic::set_sec_order | ( | int | zone,
|  | double | a,
|  | double | b,
|  | double | c )

Set the operator to in one domain (only in the shells).

Parameters

  zone | [input] : the domain.
  a | [input] : the parameter .
  b | [input] : the parameter .
  c | [input] : the parameter .

Definition at line 669 of file param_elliptic.C.

References get_mp(), mp_log, operateurs, R_CHEBI, and type_map.

## set_sec_order_r2()

void Lorene::Param_elliptic::set_sec_order_r2 | ( | int | zone,
|  | double | a,
|  | double | b,
|  | double | c )

Set the operator to in one domain (only in the shells).

Parameters

  zone | [input] : the domain.
  a | [input] : the parameter .
  b | [input] : the parameter .
  c | [input] : the parameter .

Definition at line 602 of file param_elliptic.C.

References get_mp(), mp_log, operateurs, R_CHEBI, and type_map.

## set_variable_F()

void Lorene::Param_elliptic::set_variable_F | ( | const Scalar & | so | ) |

Changes the variable function F.

Definition at line 774 of file param_elliptic.C.

References done_F, Lorene::Scalar::get_etat(), get_mp(), Lorene::Tensor::get_mp(), and var_F.

## set_variable_G()

void Lorene::Param_elliptic::set_variable_G | ( | const Scalar & | so | ) |

Changes the variable function G.

Definition at line 783 of file param_elliptic.C.

References done_G, Lorene::Scalar::get_etat(), get_mp(), Lorene::Tensor::get_mp(), and var_G.

## Friends And Related Symbol Documentation

## elliptic_solver

Mtbl_cf elliptic_solver | ( | const Param_elliptic & | ope_var,
|  | const Mtbl_cf & | source )

friend

Definition at line 84 of file sol_elliptic.C.

## elliptic_solver_boundary

Mtbl_cf elliptic_solver_boundary | ( | const Param_elliptic & | ope_var,
|  | const Mtbl_cf & | source,
|  | const Mtbl_cf & | bound,
|  | double | fact_dir,
|  | double | fact_neu )

friend

Definition at line 65 of file sol_elliptic_boundary.C.

## elliptic_solver_fixe_der_zero

Mtbl_cf elliptic_solver_fixe_der_zero | ( | double | valeur,
|  | const Param_elliptic & | ope_var,
|  | const Mtbl_cf & | source )

friend

Definition at line 46 of file sol_elliptic_fixe_der_zero.C.

## elliptic_solver_no_zec

Mtbl_cf elliptic_solver_no_zec | ( | const Param_elliptic & | ope_var,
|  | const Mtbl_cf & | source,
|  | double | val )

friend

Definition at line 73 of file sol_elliptic_no_zec.C.

## elliptic_solver_only_zec

Mtbl_cf elliptic_solver_only_zec | ( | const Param_elliptic & | ope_var,
|  | const Mtbl_cf & | source,
|  | double | val )

friend

Definition at line 66 of file sol_elliptic_only_zec.C.

## elliptic_solver_sin_zec

Mtbl_cf elliptic_solver_sin_zec | ( | const Param_elliptic & | ope_var,
|  | const Mtbl_cf & | source,
|  | double * | amplis,
|  | double * | phases )

friend

Definition at line 76 of file sol_elliptic_sin_zec.C.

## Member Data Documentation

## done_F

Itbl Lorene::Param_elliptic::done_F

mutable protected

Stores what has been computed for `F`.

Definition at line 147 of file param_elliptic.h.

## done_G

Itbl Lorene::Param_elliptic::done_G

mutable protected

Stores what has been computed for `G`.

Definition at line 148 of file param_elliptic.h.

## mp_af

const Map_af* Lorene::Param_elliptic::mp_af

protected

The mapping, if affine.

Definition at line 139 of file param_elliptic.h.

## mp_log

const Map_log* Lorene::Param_elliptic::mp_log

protected

The mapping if log type.

Definition at line 140 of file param_elliptic.h.

## operateurs

Ope_elementary** Lorene::Param_elliptic::operateurs

protected

Array on the elementary operators.

Definition at line 142 of file param_elliptic.h.

## type_map

int Lorene::Param_elliptic::type_map

protected

Type of mapping either MAP_AFF or MAP_LOG.

Definition at line 138 of file param_elliptic.h.

## val_dF_minus

Tbl Lorene::Param_elliptic::val_dF_minus

mutable protected

Values of the derivative of F at the inner boundaries of the various domains.

Definition at line 152 of file param_elliptic.h.

## val_dF_plus

Tbl Lorene::Param_elliptic::val_dF_plus

mutable protected

Values of the derivative of F at the outer boundaries of the various domains.

Definition at line 151 of file param_elliptic.h.

## val_dG_minus

Tbl Lorene::Param_elliptic::val_dG_minus

mutable protected

Values of the derivative of G at the inner boundaries of the various domains.

Definition at line 156 of file param_elliptic.h.

## val_dG_plus

Tbl Lorene::Param_elliptic::val_dG_plus

mutable protected

Values of the derivative of G at the outer boundaries of the various domains.

Definition at line 155 of file param_elliptic.h.

## val_F_minus

Tbl Lorene::Param_elliptic::val_F_minus

mutable protected

Values of F at the inner boundaries of the various domains.

Definition at line 150 of file param_elliptic.h.

## val_F_plus

Tbl Lorene::Param_elliptic::val_F_plus

mutable protected

Values of F at the outer boundaries of the various domains.

Definition at line 149 of file param_elliptic.h.

## val_G_minus

Tbl Lorene::Param_elliptic::val_G_minus

mutable protected

Values of G at the inner boundaries of the various domains.

Definition at line 154 of file param_elliptic.h.

## val_G_plus

Tbl Lorene::Param_elliptic::val_G_plus

mutable protected

Values of G at the outer boundaries of the various domains.

Definition at line 153 of file param_elliptic.h.

## var_F

Scalar Lorene::Param_elliptic::var_F

protected

Additive variable change function.

Definition at line 144 of file param_elliptic.h.

## var_G

Scalar Lorene::Param_elliptic::var_G

protected

Multiplicative variable change that must be sphericaly symetric !

Definition at line 145 of file param_elliptic.h.

The documentation for this class was generated from the following files:

- param_elliptic.h
- param_elliptic.C
- param_elliptic_2d.C
- param_elliptic_pseudo_1d.C
- param_elliptic_val_lim.C